/* Agent.c generated by valac 0.36.4, the Vala compiler
 * generated from Agent.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 * Copyright (C) 2015-2016 Ikey Doherty <ikey@solus-project.com>   
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */
/*
 * Code based on budgie-desktop:
 * https://github.com/solus-project/budgie-desktop
 */

#include <glib.h>
#include <glib-object.h>
#include <polkitagent/polkitagent.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <polkit/polkit.h>
#include <gtk/gtk.h>
#include <unistd.h>


#define AG_TYPE_AGENT (ag_agent_get_type ())
#define AG_AGENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AG_TYPE_AGENT, AgAgent))
#define AG_AGENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AG_TYPE_AGENT, AgAgentClass))
#define AG_IS_AGENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AG_TYPE_AGENT))
#define AG_IS_AGENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AG_TYPE_AGENT))
#define AG_AGENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AG_TYPE_AGENT, AgAgentClass))

typedef struct _AgAgent AgAgent;
typedef struct _AgAgentClass AgAgentClass;
typedef struct _AgAgentPrivate AgAgentPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block1Data Block1Data;

#define AG_WIDGETS_TYPE_POLKIT_DIALOG (ag_widgets_polkit_dialog_get_type ())
#define AG_WIDGETS_POLKIT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialog))
#define AG_WIDGETS_POLKIT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialogClass))
#define AG_WIDGETS_IS_POLKIT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AG_WIDGETS_TYPE_POLKIT_DIALOG))
#define AG_WIDGETS_IS_POLKIT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AG_WIDGETS_TYPE_POLKIT_DIALOG))
#define AG_WIDGETS_POLKIT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialogClass))

typedef struct _AgWidgetsPolkitDialog AgWidgetsPolkitDialog;
typedef struct _AgWidgetsPolkitDialogClass AgWidgetsPolkitDialogClass;
typedef struct _AgAgentInitiateAuthenticationData AgAgentInitiateAuthenticationData;

#define AG_TYPE_SESSION_CLIENT (ag_session_client_get_type ())
#define AG_SESSION_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AG_TYPE_SESSION_CLIENT, AgSessionClient))
#define AG_IS_SESSION_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AG_TYPE_SESSION_CLIENT))
#define AG_SESSION_CLIENT_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), AG_TYPE_SESSION_CLIENT, AgSessionClientIface))

typedef struct _AgSessionClient AgSessionClient;
typedef struct _AgSessionClientIface AgSessionClientIface;

#define AG_TYPE_SESSION_CLIENT_PROXY (ag_session_client_proxy_get_type ())
typedef struct _AgAgentRegisterWithSessionData AgAgentRegisterWithSessionData;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _AgAgent {
	PolkitAgentListener parent_instance;
	AgAgentPrivate * priv;
};

struct _AgAgentClass {
	PolkitAgentListenerClass parent_class;
};

struct _Block1Data {
	int _ref_count_;
	AgAgent* self;
	gpointer _async_data_;
};

struct _AgAgentInitiateAuthenticationData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	AgAgent* self;
	gchar* action_id;
	gchar* message;
	gchar* icon_name;
	PolkitDetails* details;
	gchar* cookie;
	GList* identities;
	GCancellable* cancellable;
	gboolean result;
	Block1Data* _data1_;
	GList* _tmp0_;
	AgWidgetsPolkitDialog* dialog;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GList* _tmp4_;
	GCancellable* _tmp5_;
	AgWidgetsPolkitDialog* _tmp6_;
	AgWidgetsPolkitDialog* _tmp7_;
	AgWidgetsPolkitDialog* _tmp8_;
	AgWidgetsPolkitDialog* _tmp9_;
};

struct _AgSessionClientIface {
	GTypeInterface parent_iface;
	void (*end_session_response) (AgSessionClient* self, gboolean is_ok, const gchar* reason, GError** error);
};

struct _AgAgentRegisterWithSessionData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	AgAgent* self;
	gboolean result;
	AgSessionClient* sclient;
	AgSessionClient* _tmp0_;
	AgSessionClient* _tmp1_;
	AgSessionClient* _tmp2_;
	AgSessionClient* _tmp3_;
	AgSessionClient* _tmp4_;
};


static gpointer ag_agent_parent_class = NULL;

GType ag_agent_get_type (void) G_GNUC_CONST;
enum  {
	AG_AGENT_DUMMY_PROPERTY
};
AgAgent* ag_agent_new (void);
AgAgent* ag_agent_construct (GType object_type);
static void ag_agent_register_with_session (AgAgent* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
static gboolean ag_agent_register_with_session_finish (AgAgent* self, GAsyncResult* _res_);
static void __lambda4_ (AgAgent* self, GObject* obj, GAsyncResult* res);
static void ___lambda4__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self);
static void ag_agent_real_initiate_authentication_data_free (gpointer _data);
static void ag_agent_real_initiate_authentication (PolkitAgentListener* base, const gchar* action_id, const gchar* message, const gchar* icon_name, PolkitDetails* details, const gchar* cookie, GList* identities, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_);
static gboolean ag_agent_real_initiate_authentication_co (AgAgentInitiateAuthenticationData* _data_);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
GType ag_widgets_polkit_dialog_get_type (void) G_GNUC_CONST;
AgWidgetsPolkitDialog* ag_widgets_polkit_dialog_new (const gchar* message, const gchar* icon_name, const gchar* _cookie, GList* _idents, GCancellable* _cancellable);
AgWidgetsPolkitDialog* ag_widgets_polkit_dialog_construct (GType object_type, const gchar* message, const gchar* icon_name, const gchar* _cookie, GList* _idents, GCancellable* _cancellable);
static void __lambda6_ (Block1Data* _data1_);
static void ___lambda6__ag_widgets_polkit_dialog_done (AgWidgetsPolkitDialog* _sender, gpointer self);
static void ag_agent_register_with_session_data_free (gpointer _data);
static gboolean ag_agent_register_with_session_co (AgAgentRegisterWithSessionData* _data_);
GType ag_session_client_proxy_get_type (void) G_GNUC_CONST;
guint ag_session_client_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType ag_session_client_get_type (void) G_GNUC_CONST;
void ag_utils_register_with_session (const gchar* app_id, GAsyncReadyCallback _callback_, gpointer _user_data_);
AgSessionClient* ag_utils_register_with_session_finish (GAsyncResult* _res_);
static void ag_agent_register_with_session_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void ag_agent_session_respond (AgAgent* self, AgSessionClient* sclient, guint flags);
static void _ag_agent_session_respond_ag_session_client_query_end_session (AgSessionClient* _sender, guint flags, gpointer self);
static void _ag_agent_session_respond_ag_session_client_end_session (AgSessionClient* _sender, guint flags, gpointer self);
static void ag_agent_session_stop (AgAgent* self);
static void _ag_agent_session_stop_ag_session_client_stop (AgSessionClient* _sender, gpointer self);
void ag_session_client_end_session_response (AgSessionClient* self, gboolean is_ok, const gchar* reason, GError** error);
gint ag_main (gchar** args, int args_length1);


static void __lambda4_ (AgAgent* self, GObject* obj, GAsyncResult* res) {
	gboolean success = FALSE;
	GAsyncResult* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 29 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_return_if_fail (res != NULL);
#line 30 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp0_ = res;
#line 30 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp1_ = ag_agent_register_with_session_finish (self, _tmp0_);
#line 30 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	success = _tmp1_;
#line 31 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp2_ = success;
#line 31 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (!_tmp2_) {
#line 32 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_warning ("Agent.vala:32: Failed to register with Session manager");
#line 199 "Agent.c"
	}
}


static void ___lambda4__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self) {
#line 29 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	__lambda4_ ((AgAgent*) self, source_object, res);
#line 29 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_object_unref (self);
#line 209 "Agent.c"
}


AgAgent* ag_agent_construct (GType object_type) {
	AgAgent * self = NULL;
#line 28 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	self = (AgAgent*) g_object_new (object_type, NULL);
#line 29 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_register_with_session (self, ___lambda4__gasync_ready_callback, g_object_ref (self));
#line 28 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return self;
#line 221 "Agent.c"
}


AgAgent* ag_agent_new (void) {
#line 28 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return ag_agent_construct (AG_TYPE_AGENT);
#line 228 "Agent.c"
}


static void ag_agent_real_initiate_authentication_data_free (gpointer _data) {
	AgAgentInitiateAuthenticationData* _data_;
	_data_ = _data;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->action_id);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->message);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->icon_name);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->details);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->cookie);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->cancellable);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->self);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_slice_free (AgAgentInitiateAuthenticationData, _data_);
#line 251 "Agent.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return self ? g_object_ref (self) : NULL;
#line 258 "Agent.c"
}


static void ag_agent_real_initiate_authentication (PolkitAgentListener* base, const gchar* action_id, const gchar* message, const gchar* icon_name, PolkitDetails* details, const gchar* cookie, GList* identities, GCancellable* cancellable, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	AgAgent * self;
	AgAgentInitiateAuthenticationData* _data_;
	AgAgent* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	PolkitDetails* _tmp7_;
	PolkitDetails* _tmp8_;
	const gchar* _tmp9_;
	gchar* _tmp10_;
	GList* _tmp11_;
	GCancellable* _tmp12_;
	GCancellable* _tmp13_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	self = (AgAgent*) base;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_ = g_slice_new0 (AgAgentInitiateAuthenticationData);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, ag_agent_real_initiate_authentication);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, ag_agent_real_initiate_authentication_data_free);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->self = _tmp0_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp1_ = action_id;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->action_id);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->action_id = _tmp2_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp3_ = message;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->message);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->message = _tmp4_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp5_ = icon_name;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->icon_name);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->icon_name = _tmp6_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp7_ = details;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp8_ = _g_object_ref0 (_tmp7_);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->details);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->details = _tmp8_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp9_ = cookie;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp10_ = g_strdup (_tmp9_);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_free0 (_data_->cookie);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->cookie = _tmp10_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp11_ = identities;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->identities = _tmp11_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp12_ = cancellable;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp13_ = _g_object_ref0 (_tmp12_);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->cancellable);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->cancellable = _tmp13_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_real_initiate_authentication_co (_data_);
#line 345 "Agent.c"
}


static gboolean ag_agent_real_initiate_authentication_finish (PolkitAgentListener* base, GAsyncResult* _res_, GError** error) {
	gboolean result;
	AgAgentInitiateAuthenticationData* _data_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	result = _data_->result;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return result;
#line 358 "Agent.c"
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return _data1_;
#line 367 "Agent.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 376 "Agent.c"
		AgAgent* self;
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		self = _data1_->self;
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (self);
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_slice_free (Block1Data, _data1_);
#line 384 "Agent.c"
	}
}


static void __lambda6_ (Block1Data* _data1_) {
	AgAgent* self;
#line 44 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	self = _data1_->self;
#line 44 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_real_initiate_authentication_co (_data1_->_async_data_);
#line 395 "Agent.c"
}


static void ___lambda6__ag_widgets_polkit_dialog_done (AgWidgetsPolkitDialog* _sender, gpointer self) {
#line 44 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	__lambda6_ (self);
#line 402 "Agent.c"
}


static gboolean ag_agent_real_initiate_authentication_co (AgAgentInitiateAuthenticationData* _data_) {
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	switch (_data_->_state_) {
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		case 0:
#line 411 "Agent.c"
		goto _state_0;
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		case 1:
#line 415 "Agent.c"
		goto _state_1;
		default:
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_assert_not_reached ();
#line 420 "Agent.c"
	}
	_state_0:
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_data1_ = g_slice_new0 (Block1Data);
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_data1_->_ref_count_ = 1;
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_data1_->self = g_object_ref (_data_->self);
#line 37 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_data1_->_async_data_ = _data_;
#line 39 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp0_ = _data_->identities;
#line 39 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (_data_->_tmp0_ == NULL) {
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_data_->result = FALSE;
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		block1_data_unref (_data_->_data1_);
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_data_->_data1_ = NULL;
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		if (_data_->_state_ == 0) {
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 445 "Agent.c"
		} else {
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 449 "Agent.c"
		}
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_object_unref (_data_->_async_result);
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return FALSE;
#line 455 "Agent.c"
	}
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp1_ = _data_->message;
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp2_ = _data_->icon_name;
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp3_ = _data_->cookie;
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp4_ = _data_->identities;
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp5_ = _data_->cancellable;
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp6_ = ag_widgets_polkit_dialog_new (_data_->_tmp1_, _data_->_tmp2_, _data_->_tmp3_, _data_->_tmp4_, _data_->_tmp5_);
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_object_ref_sink (_data_->_tmp6_);
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->dialog = _data_->_tmp6_;
#line 44 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp7_ = _data_->dialog;
#line 44 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_signal_connect_data (_data_->_tmp7_, "done", (GCallback) ___lambda6__ag_widgets_polkit_dialog_done, block1_data_ref (_data_->_data1_), (GClosureNotify) block1_data_unref, 0);
#line 46 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp8_ = _data_->dialog;
#line 46 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	gtk_widget_show_all ((GtkWidget*) _data_->_tmp8_);
#line 47 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_state_ = 1;
#line 47 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return FALSE;
#line 485 "Agent.c"
	_state_1:
	;
#line 49 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp9_ = _data_->dialog;
#line 49 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	gtk_widget_destroy ((GtkWidget*) _data_->_tmp9_);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->result = TRUE;
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->dialog);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	block1_data_unref (_data_->_data1_);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_data1_ = NULL;
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (_data_->_state_ == 0) {
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 504 "Agent.c"
	} else {
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 508 "Agent.c"
	}
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_object_unref (_data_->_async_result);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return FALSE;
#line 514 "Agent.c"
}


static void ag_agent_register_with_session_data_free (gpointer _data) {
	AgAgentRegisterWithSessionData* _data_;
	_data_ = _data;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->self);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_slice_free (AgAgentRegisterWithSessionData, _data_);
#line 525 "Agent.c"
}


static void ag_agent_register_with_session (AgAgent* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	AgAgentRegisterWithSessionData* _data_;
	AgAgent* _tmp0_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_ = g_slice_new0 (AgAgentRegisterWithSessionData);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, ag_agent_register_with_session);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, ag_agent_register_with_session_data_free);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->self = _tmp0_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_register_with_session_co (_data_);
#line 544 "Agent.c"
}


static gboolean ag_agent_register_with_session_finish (AgAgent* self, GAsyncResult* _res_) {
	gboolean result;
	AgAgentRegisterWithSessionData* _data_;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	result = _data_->result;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return result;
#line 557 "Agent.c"
}


static void ag_agent_register_with_session_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	AgAgentRegisterWithSessionData* _data_;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_ = _user_data_;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_source_object_ = source_object;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_res_ = _res_;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_register_with_session_co (_data_);
#line 571 "Agent.c"
}


static void _ag_agent_session_respond_ag_session_client_query_end_session (AgSessionClient* _sender, guint flags, gpointer self) {
#line 59 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_session_respond ((AgAgent*) self, _sender, flags);
#line 578 "Agent.c"
}


static void _ag_agent_session_respond_ag_session_client_end_session (AgSessionClient* _sender, guint flags, gpointer self) {
#line 60 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_session_respond ((AgAgent*) self, _sender, flags);
#line 585 "Agent.c"
}


static void _ag_agent_session_stop_ag_session_client_stop (AgSessionClient* _sender, gpointer self) {
#line 61 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_session_stop ((AgAgent*) self);
#line 592 "Agent.c"
}


static gboolean ag_agent_register_with_session_co (AgAgentRegisterWithSessionData* _data_) {
#line 53 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	switch (_data_->_state_) {
#line 53 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		case 0:
#line 601 "Agent.c"
		goto _state_0;
#line 53 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		case 1:
#line 605 "Agent.c"
		goto _state_1;
		default:
#line 53 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_assert_not_reached ();
#line 610 "Agent.c"
	}
	_state_0:
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_state_ = 1;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_utils_register_with_session ("org.pantheon.agent-polkit", ag_agent_register_with_session_ready, _data_);
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return FALSE;
#line 619 "Agent.c"
	_state_1:
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp0_ = ag_utils_register_with_session_finish (_data_->_res_);
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->sclient = _data_->_tmp0_;
#line 55 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp1_ = _data_->sclient;
#line 55 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (_data_->_tmp1_ == NULL) {
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_data_->result = FALSE;
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (_data_->sclient);
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		if (_data_->_state_ == 0) {
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 637 "Agent.c"
		} else {
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 641 "Agent.c"
		}
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_object_unref (_data_->_async_result);
#line 56 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return FALSE;
#line 647 "Agent.c"
	}
#line 59 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp2_ = _data_->sclient;
#line 59 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_signal_connect_object (_data_->_tmp2_, "query-end-session", (GCallback) _ag_agent_session_respond_ag_session_client_query_end_session, _data_->self, 0);
#line 60 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp3_ = _data_->sclient;
#line 60 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_signal_connect_object (_data_->_tmp3_, "end-session", (GCallback) _ag_agent_session_respond_ag_session_client_end_session, _data_->self, 0);
#line 61 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->_tmp4_ = _data_->sclient;
#line 61 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_signal_connect_object (_data_->_tmp4_, "stop", (GCallback) _ag_agent_session_stop_ag_session_client_stop, _data_->self, 0);
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_data_->result = TRUE;
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (_data_->sclient);
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (_data_->_state_ == 0) {
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 669 "Agent.c"
	} else {
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 673 "Agent.c"
	}
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_object_unref (_data_->_async_result);
#line 63 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return FALSE;
#line 679 "Agent.c"
}


static void ag_agent_session_respond (AgAgent* self, AgSessionClient* sclient, guint flags) {
	GError * _inner_error_ = NULL;
#line 66 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_return_if_fail (sclient != NULL);
#line 689 "Agent.c"
	{
		AgSessionClient* _tmp0_;
#line 68 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp0_ = sclient;
#line 68 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		ag_session_client_end_session_response (_tmp0_, TRUE, "", &_inner_error_);
#line 68 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 698 "Agent.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp1_;
		const gchar* _tmp2_;
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		e = _inner_error_;
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_inner_error_ = NULL;
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp1_ = e;
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp2_ = _tmp1_->message;
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_warning ("Agent.vala:70: Unable to respond to session manager: %s", _tmp2_);
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_error_free0 (e);
#line 720 "Agent.c"
	}
	__finally0:
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_clear_error (&_inner_error_);
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return;
#line 731 "Agent.c"
	}
}


static void ag_agent_session_stop (AgAgent* self) {
#line 74 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	gtk_main_quit ();
#line 741 "Agent.c"
}


static void ag_agent_class_init (AgAgentClass * klass) {
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	ag_agent_parent_class = g_type_class_peek_parent (klass);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	((PolkitAgentListenerClass *) klass)->initiate_authentication = (void (*) (PolkitAgentListener *, const gchar*, const gchar*, const gchar*, PolkitDetails*, const gchar*, GList*, GCancellable*, GAsyncReadyCallback, gpointer)) ag_agent_real_initiate_authentication;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	((PolkitAgentListenerClass *) klass)->initiate_authentication_finish = (gboolean (*) (PolkitAgentListener *, GAsyncResult*, GError**)) ag_agent_real_initiate_authentication_finish;
#line 752 "Agent.c"
}


static void ag_agent_instance_init (AgAgent * self) {
}


GType ag_agent_get_type (void) {
	static volatile gsize ag_agent_type_id__volatile = 0;
	if (g_once_init_enter (&ag_agent_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AgAgentClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) ag_agent_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AgAgent), 0, (GInstanceInitFunc) ag_agent_instance_init, NULL };
		GType ag_agent_type_id;
		ag_agent_type_id = g_type_register_static (polkit_agent_listener_get_type (), "AgAgent", &g_define_type_info, 0);
		g_once_init_leave (&ag_agent_type_id__volatile, ag_agent_type_id);
	}
	return ag_agent_type_id__volatile;
}


gint ag_main (gchar** args, int args_length1) {
	gint result = 0;
	AgAgent* agent = NULL;
	AgAgent* _tmp0_;
	gint pid = 0;
	pid_t _tmp1_;
	PolkitSubject* subject = NULL;
	GError * _inner_error_ = NULL;
#line 80 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	gtk_init (&args_length1, &args);
#line 82 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp0_ = ag_agent_new ();
#line 82 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	agent = _tmp0_;
#line 83 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_tmp1_ = getpid ();
#line 83 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	pid = (gint) _tmp1_;
#line 85 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	subject = NULL;
#line 792 "Agent.c"
	{
		PolkitUnixSession* _tmp2_ = NULL;
		gint _tmp3_;
		PolkitUnixSession* _tmp4_;
		PolkitUnixSession* _tmp5_;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp3_ = pid;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp4_ = (PolkitUnixSession*) polkit_unix_session_new_for_process_sync (_tmp3_, NULL, &_inner_error_);
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp2_ = _tmp4_;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 806 "Agent.c"
			goto __catch1_g_error;
		}
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp5_ = _tmp2_;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp2_ = NULL;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (subject);
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		subject = (PolkitSubject*) _tmp5_;
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (_tmp2_);
#line 819 "Agent.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		e = _inner_error_;
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_inner_error_ = NULL;
#line 89 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp6_ = e;
#line 89 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp7_ = _tmp6_->message;
#line 89 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_critical ("Agent.vala:89: Unable to initiate Polkit: %s", _tmp7_);
#line 90 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		result = 1;
#line 90 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_error_free0 (e);
#line 90 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (subject);
#line 90 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (agent);
#line 90 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return result;
#line 847 "Agent.c"
	}
	__finally1:
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 852 "Agent.c"
		gint _tmp8_ = 0;
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (subject);
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (agent);
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_clear_error (&_inner_error_);
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return _tmp8_;
#line 864 "Agent.c"
	}
	{
		AgAgent* _tmp9_;
		PolkitSubject* _tmp10_;
#line 94 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp9_ = agent;
#line 94 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_tmp10_ = subject;
#line 94 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		polkit_agent_register_listener ((PolkitAgentListener*) _tmp9_, _tmp10_, NULL, &_inner_error_);
#line 94 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 877 "Agent.c"
			goto __catch2_g_error;
		}
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		e = _inner_error_;
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_inner_error_ = NULL;
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		result = 1;
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_error_free0 (e);
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (subject);
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (agent);
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return result;
#line 899 "Agent.c"
	}
	__finally2:
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 904 "Agent.c"
		gint _tmp11_ = 0;
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (subject);
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		_g_object_unref0 (agent);
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		g_clear_error (&_inner_error_);
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
		return _tmp11_;
#line 916 "Agent.c"
	}
#line 99 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	gtk_main ();
#line 100 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	result = 0;
#line 100 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (subject);
#line 100 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	_g_object_unref0 (agent);
#line 100 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return result;
#line 928 "Agent.c"
}


int main (int argc, char ** argv) {
#if !GLIB_CHECK_VERSION (2,35,0)
	g_type_init ();
#endif
#line 79 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/Agent.vala"
	return ag_main (argv, argc);
#line 938 "Agent.c"
}



